Avaya Support Forums

Avaya Support Forums (http://support.avaya.com/forums/index.php)
-   Avaya Breeze™ Collaboratory (http://support.avaya.com/forums/forumdisplay.php?f=77)
-   -   Error building dynamic task (http://support.avaya.com/forums/showthread.php?t=11965)

ander548 09-21-2016 04:55 AM

Error building dynamic task
 
I am using this command to build scaffolding, and that part works and gives me a mytest folder:

mvn archetype:generate -DarchetypeCatalog=local

I don't modify anything and just switch to the mytest folder and run "mvn clean package" and here is the output with the errors I'm getting. Any idea what I'm missing?

C:\OD\1Breeze\mytest>mvn clean package
[INFO] Scanning for projects...
[WARNING] Failed to build parent project for com.roobroo:roobroo:pom:3.1.0.2.310
2005
[WARNING] Failed to build parent project for com.avaya.workflow:sdk:pom:3.1.0.2.
3102005
[WARNING] Failed to build parent project for com.test:mytest:pom:1.0
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Build Order:
[INFO]
[INFO] mytest
[INFO] mytest-tasks
[INFO] mytest-snapin
[INFO] mytest-cba
[INFO] mytest-svar
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building mytest 1.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ mytest ---
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building mytest-tasks 1.0
[INFO] ------------------------------------------------------------------------
Downloading: https://repo.maven.apache.org/maven2...oration/avaya-
aura-collaboration-sdk/3.1.1.0.311008/avaya-aura-collaboration-sdk-3.1.1.0.31100
8.pom
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO]
[INFO] mytest ............................................. SUCCESS [ 0.090 s]
[INFO] mytest-tasks ....................................... FAILURE [ 1.126 s]
[INFO] mytest-snapin ...................................... SKIPPED
[INFO] mytest-cba ......................................... SKIPPED
[INFO] mytest-svar ........................................ SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 2.952 s
[INFO] Finished at: 2016-09-21T07:41:55-04:00
[INFO] Final Memory: 13M/168M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project mytest-tasks: Could not resolve depend
encies for project com.test:mytest-tasks:bundle:1.0: Failed to collect dependenc
ies at com.avaya.collaboration.api:avaya-aura-collaboration-api-3.1.1:jar:3.1.1.
0.311008: Failed to read artifact descriptor for com.avaya.collaboration.api:ava
ya-aura-collaboration-api-3.1.1:jar:3.1.1.0.311008: Could not transfer artifact
com.avaya.collaboration:avaya-aura-collaboration-sdk:pom:3.1.1.0.311008 from/to
central (https://repo.maven.apache.org/maven2): repo.maven.apache.org: Unknown h
ost repo.maven.apache.org -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit
ch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please rea
d the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/d...DependencyReso
lutionException
[ERROR]
[ERROR] After correcting the problems, you can resume the build with the command

[ERROR] mvn <goals> -rf :mytest-tasks

eliaidam 09-22-2016 08:59 AM

the ED SDK version you are using is referencing Breeze SDK version 3.1.1.0.311008, and cannot find it in your local repository, so it's trying to download it from https://repo.maven.apache.org/maven2 and it's not there either.

Which version of Breeze SDK did you install? It should be 3.1.1.0.311008.

ander548 09-26-2016 05:22 AM

For those with the same issue, there seems to be some kind of compatibility issue with the latest version of the SDK. I had installed the latest 3.1.1.1 and per a suggestion on another thread, I installed the older version 3.1.1 as well and that seems to have fixed it. My guess is that something was included in 3.1.1 that wasn't in 3.1.1.1 so you need to install them both (or at least that worked for me).


All times are GMT -7. The time now is 05:42 AM.